#include <stdio.h>
#include <math.h>

typedef struct {
  float re;
  float im;
} complex;

union {
  float   x[2];   
  complex z[2];
} kon;

float nijikon(a,b,c)
float a,b,c;
{
  float d;
  d=b*b-4.0*a*c;
  if (d>0) {
    kon.x[0]=(-b+sqrt(d))/(2.0*a);
    kon.x[1]=(-b-sqrt(d))/(2.0*a);
  } else {
    kon.z[0].re=(-b)/(2.0*a);
    kon.z[1].re=(-b)/(2.0*a);
    kon.z[0].im=  sqrt(-d)/(2.0*a);
    kon.z[1].im= -sqrt(-d)/(2.0*a); 
  }
  return(d);
}

void hyouji(d)
float d;
{
  if (d>0) {
    printf("x[0]=%f\n",kon.x[0]);
    printf("x[1]=%f\n",kon.x[1]);
  } else {
    printf("z[0]=%f",kon.z[0].re);
    printf("+(%f)\n",kon.z[0].im);
    printf("z[1]=%f",kon.z[1].re);
    printf("+(%f)\n",kon.z[1].im);
  }
}

main()
{
  float a,b,c,d;
  printf("a="); scanf("%f",&a);
  printf("b="); scanf("%f",&b);
  printf("c="); scanf("%f",&c);
  d=nijikon(a,b,c);
  hyouji(d);  
}